# Class: WpThemes — Documentation by YARD 0.8.6.1

Class List Method List File List

# Class: WpThemes

Inherits:
  WpItems
  - Object
  - Array
  - WpItems
  - WpThemes
  show all
Extended by:
  Detectable
Defined in:
  lib/common/collections/wp_themes.rb,
  lib/common/collections/wp_themes/detectable.rb

## Defined Under Namespace

Modules: Detectable

## Instance Attribute Summary

### Attributes included from WpItems::Detectable

#item_xpath, #vulns_file

## Method Summary

### Methods included from Detectable

item_xpath, vulns_file

### Methods included from WpItems::Detectable

#aggressive_detection, #create_item, #item_class, #passive_detection, #progress_bar, #request_params, #targets_items, #targets_items_from_file, #vulnerable_targets_items

### Methods included from WpItems::Output

#output

### Methods inherited from Array

#_grep_